DCMTK - Bug #723

Newer versions of Doxygen require unique section labels throughout the DCMTK man pages
2017-02-24 13:54 - J6rg Riesmeier

Status: Closed Start date: 2017-02-24
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Documentation Estimated time: 0:00 hour
Target version: 3.6.2

Module: all Compiler:

Operating System:

Description
In the past, Doxygen accepted the use of identical section labels for all man pages in the DCMTK (i.e. for all command line tools).

Examples are "description”, "parameters" and "options". Newer versions of Doxygen (e.g. 1.8.11 or 1.8.13) report a warning of the
following type: "warning: multiple use of section label 'xxx" while adding section, (first occurrence: ...". This could be fixed by using

unique section labels for all man pages. An example is show in module "dcmnet": "echoscu_description”, "echoscu_parameters”,
"echoscu_options", i.e. the name of the command line tool is prepended. This should be done for all DCMTK tools.

History

#1 - 2017-04-06 19:18 - Jan Schlamelcher
- File rename_manpages.sh added

- Status changed from New to Closed

- % Done changed from 0 to 100

- Assignee set to Anonymous

Close by commit #cafe65b886¢c790dea using the attached shell script.

Files

rename_manpages.sh 994 Bytes 2017-04-06 Jan Schlamelcher

2025-09-06 1/1



http://www.tcpdf.org

